Name: tendrl-node-agent
Version: 1.6.3
Release: 15%{?dist}
BuildArch: noarch
Summary: Module for Tendrl Node Agent
Source0: %{name}-%{version}.tar.gz
License: LGPLv2+
URL: https://github.com/Tendrl/node-agent

#BuildRequires: python-urllib3
BuildRequires: python2-devel
BuildRequires: pytest
BuildRequires: systemd
BuildRequires: python-setuptools

Requires: collectd
Requires: collectd-ping
Requires: python-jinja2
Requires: tendrl-commons
Requires: hwinfo 
Requires: python-netifaces
Requires: python-netaddr
Requires: python-setuptools
Requires: rsyslog

Patch0001: 0001-Added-to-check-if-file-usr-share-glusterfs-release-e.patch
Patch0002: 0002-Update-discover_gluster_sds_details.py.patch
Patch0003: 0003-Update-discover_gluster_sds_details.py.patch
Patch0004: 0004-Expand-related-alert-messages-shows-integration_id-i.patch
Patch0005: 0005-Removing-node_alert_count-initialization.patch
Patch0006: 0006-Initialize-only-cluster_node_alert_count-object.patch
Patch0007: 0007-Flag-for-monitoring-integration-is-assigned-by-node-.patch
Patch0008: 0008-Closing-carbon-cache-connections-properly.patch
Patch0009: 0009-Update-utils.py.patch
Patch0010: 0010-Update-utils.py.patch
Patch0011: 0011-Run-volume-profile-info-for-volumes-which-have-profi.patch
Patch0012: 0012-Fixing-issue-in-fqdn-ip-assiging-to-node_context.patch
Patch0013: 0013-Fixing-issue-with-multiple-interface-of-brick-and-pe.patch
Patch0014: 0014-Duplicate-Events-are-Processed-and-displayed-in-UI.patch
Patch0015: 0015-Changed-the-logic-to-calculate-the-iops-values.patch
Patch0016: 0016-Updated-logic-for-alert-notifications-and-node-statu.patch
Patch0017: 0017-Adding-ttl-in-all-node-context-object-save-as-per-ne.patch
Patch0018: 0018-Sometimes-volume-alert-raise-with-volume_name-None.patch
Patch0019: 0019-Sometimes-volume-alert-raise-with-volume_name-None.patch
Patch0020: 0020-Optimizing-carbon-cache-utilization-by-pushing-list-.patch
Patch0021: 0021-Corrected-the-gauge_write-setting-value.patch
Patch0022: 0022-Claim-provisioner-tag-only-by-managed-nodes-if-clust.patch
Patch0023: 0023-Update-services_and_index_sync.py.patch
Patch0024: 0024-Fixing-issue-with-message-socket-connection-blocked.patch
Patch0025: 0025-Fixing-node-agent-socket-problem-after-temprovary-ne.patch
Patch0026: 0026-Modifying-default-log-level-to-ERROR.patch
Patch0027: 0027-After-migration-to-graphite-1.1.4-the-brick-specific.patch
Patch0028: 0028-Moving-brick-path-replace-symbol-to-collectd-configu.patch
Patch0029: 0029-Fixing-pep8-issue.patch
Patch0030: 0030-Renaming-to-brick-path-separator.patch
Patch0031: 0031-Renaming-to-brick-path-separator.patch
Patch0032: 0032-Logrotate-for-tendrl-log-files.patch
Patch0033: 0033-After-logrotate-logging-is-not-happening.patch

%description
Python module for Tendrl node bridge to manage storage node in the sds cluster

%prep
%setup
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%{__python} setup.py build

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -m  0755  --directory $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent
install -m  0755  --directory $RPM_BUILD_ROOT%{_datadir}/tendrl/node-agent
install -m  0755  --directory $RPM_BUILD_ROOT%{_sharedstatedir}/tendrl
install -m  0755  --directory $RPM_BUILD_ROOT/usr/lib64/collectd/gluster/low_weight
install -m  0755  --directory $RPM_BUILD_ROOT/usr/lib64/collectd/gluster/heavy_weight
install -m  0755  --directory $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template
install -Dm 0644 tendrl-node-agent.service $RPM_BUILD_ROOT%{_unitdir}/tendrl-node-agent.service
install -Dm 0644 tendrl-node-agent.socket $RPM_BUILD_ROOT%{_unitdir}/tendrl-node-agent.socket
install -Dm 0640 redhat-gluster-storage.json $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/redhat-gluster-storage.json
install -Dm 0640 etc/tendrl/node-agent/node-agent.conf.yaml.sample $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent/node-agent.conf.yaml
install -Dm 0644 etc/tendrl/node-agent/logging.yaml.syslog.sample $RPM_BUILD_ROOT%{_sysconfdir}/tendrl/node-agent/node-agent_logging.yaml
install -Dm 644 etc/tendrl/node-agent/*.sample $RPM_BUILD_ROOT%{_datadir}/tendrl/node-agent/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d
install -Dm 644 etc/rsyslog.d/tendrl-node-agent.conf $RPM_BUILD_ROOT/%{_sysconfdir}/rsyslog.d/tendrl-node-agent.conf
install -Dm 0644 etc/logrotate.d/tendrl-node-agent_logrotate.conf $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/tendrl-node-agent_logrotate.conf
cp -a tendrl/node_agent/monitoring/collectd/collectors/* $RPM_BUILD_ROOT/usr/lib64/collectd/
cp -a tendrl/node_agent/monitoring/collectd/templates/gluster/* $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template/
cp -a tendrl/node_agent/monitoring/collectd/templates/node/* $RPM_BUILD_ROOT%{_sysconfdir}/collectd_template/

%post
getent group tendrl >/dev/null || groupadd -r tendrl
getent passwd tendrl-user >/dev/null || \
    useradd -r -g tendrl -d /var/lib/tendrl -s /sbin/nologin \
    -c "Tendrl node user" tendrl-user
systemctl enable tendrl-node-agent >/dev/null 2>&1 || :

%systemd_post tendrl-node-agent.service

%preun
%systemd_preun tendrl-node-agent.service

%postun
%systemd_postun_with_restart tendrl-node-agent.service

%check
py.test -v tendrl/node-agent/tests || :

%files -f INSTALLED_FILES
%dir %{_sysconfdir}/tendrl/node-agent
%dir %{_datadir}/tendrl/node-agent
%dir %{_sharedstatedir}/tendrl

%attr(0655, root, root) %{_sysconfdir}/collectd_template/*
%attr(0655, root, root) /usr/lib64/collectd/*

%doc README.rst
%license LICENSE
%{_datadir}/tendrl/node-agent/
%config(noreplace) %{_sysconfdir}/tendrl/node-agent/*.yaml
%{_unitdir}/tendrl-node-agent.service
%{_unitdir}/tendrl-node-agent.socket
%config(noreplace) %{_sysconfdir}/rsyslog.d/tendrl-node-agent.conf
%config(noreplace) %{_sysconfdir}/tendrl/redhat-gluster-storage.json
%config(noreplace) %{_sysconfdir}/logrotate.d/tendrl-node-agent_logrotate.conf

%changelog
* Sat Jan 19 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-15
- Fixed bugs: 1654183
- Release tendrl-node-agent 1.6.3-15

* Fri Jan 18 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-14
- Fixed bugs: 1654183
- Release tendrl-node-agent 1.6.3-14

* Thu Jan 03 2019 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-13
- Fixed bugs: 1660779
- Release tendrl-node-agent 1.6.3-13

* Tue Dec 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-12
- Fixed bugs: 1654183
- Release tendrl-node-agent 1.6.3-12

* Mon Nov 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-11
- Fixed bugs: 1630344
- Release tendrl-node-agent 1.6.3-11

* Tue Aug 14 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-10
- Fixed bugs: 1611601
- Release tendrl-node-agent 1.6.3-10

* Mon Jul 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-9
- Fixed bugs: 1599634
- Release tendrl-node-agent 1.6.3-9

* Thu Jul 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-8
- Fixed bugs: 1593912,1596862
- Release tendrl-node-agent 1.6.3-8

* Mon Jun 18 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-7
- Fixed bugs: 1570048,1588440
- Release tendrl-node-agent 1.6.3-7

* Fri Jun 01 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-6
- Fixed bugs: 1519201,1564510,1572151,1579937,1580385,1581736,1583264
- Release tendrl-node-agent 1.6.3-6

* Wed May 16 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-5
- Fixed bugs: 1560875,1570048,1576848
- Release tendrl-node-agent 1.6.3-5

* Sat May 05 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-4
- Fixed bugs: 1571755,1573079
- Release tendrl-node-agent 1.6.3-4

* Wed Apr 25 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-3
- Fixed bugs: 1559507
- Release tendrl-node-agent 1.6.3-3

* Fri Apr 20 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-2
- Release tendrl-node-agent 1.6.3-2

* Thu Apr 19 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.3-1
- Release tendrl-node-agent 1.6.3-1

* Mon Apr 02 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-3
- Fixed bugs: 1559399, 1559415, 1559417
- Release tendrl-node-agent 1.6.1-3

* Tue Mar 27 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-2
- Fixed bugs: 1531139, 1516417
- Release tendrl-node-agent 1.6.1-2

* Thu Mar 08 2018 Timothy Asir J <tjeyasin@redhat.com> - 1.6.1-1
- Release tendrl-node-agent 1.6.1-1

* Mon Dec 11 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-16
- Release tendrl-node-agent 1.5.4-16

* Sat Dec 09 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-15
- Release tendrl-node-agent 1.5.4-15

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-14
- Release tendrl-node-agent 1.5.4-14

* Thu Dec 07 2017 Shubhendu Ram Tripathi <shtripat@redhat.com> - 1.5.4-13
- Release tendrl-node-agent 1.5.4-13

* Tue Dec 05 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-10
- Release tendrl-node-agent 1.5.4-10

* Thu Nov 30 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-9
- Release tendrl-node-agent 1.5.4-9

* Mon Nov 27 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-8
- Release tendrl-node-agent 1.5.4-8

* Fri Nov 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-7
- Release tendrl-node-agent 1.5.4-7

* Fri Nov 24 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-6
- Release tendrl-node-agent 1.5.4-6

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-5
- Release tendrl-node-agent 1.5.4-5

* Tue Nov 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-4
- Release tendrl-node-agent 1.5.4-4

* Sat Nov 18 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-3
- Release tendrl-node-agent 1.5.4-3

* Fri Nov 10 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-2
- Release tendrl-node-agent 1.5.4-2

* Fri Nov 03 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.4-1
- Release tendrl-node-agent 1.5.4-1

* Sat Oct 14 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-3
  Fix bz#1502012
- Release tendrl-node-agent 1.5.3-3

* Fri Oct 13 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-2
- Release tendrl-node-agent 1.5.3-2

* Thu Oct 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 1.5.3-1
- Release tendrl-node-agent 1.5.3-1

* Mon Jun 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.10
- Release tendrl-node-agent 3.0-alpha.10

* Mon Jun 12 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.9
- Release tendrl-node-agent 3.0-alpha.9

* Thu Jun 08 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.8
- Release tendrl-commons 3.0-alpha.8

* Mon Jun 05 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.7
- Release tendrl-commons 3.0-alpha.7
- BZ# 1458750

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.6
- Release tendrl-node-agent 3.0-alpha.6

* Fri Jun 02 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.5
- Release tendrl-node-agent 3.0-alpha.5

* Fri May 26 2017 Shubhendu Tripathi <shtripat@redhat.com> - 3.0-alpha.4
- Release tendrl-node-agent 3.0-alpha.4

* Thu May 25 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.3
- Release tendrl-node-agent 3.0-alpha.3

* Mon May 22 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.2
- Release tendrl-node-agent 3.0-alpha.2

* Sun May 21 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha.1
- Release tendrl-node-agent 3.0-alpha.1

* Fri May 19 2017 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 3.0-alpha
- Release tendrl-node-agent 3.0-alpha

* Sat Apr 01 2017 Rohan Kanade <rkanade@redhat.com> - 1.2.2-1
- Release tendrl-node-agent v1.2.2

* Tue Nov 01 2016 Timothy Asir Jeyasingh <tjeyasin@redhat.com> - 0.0.1-1
- Initial build.
